<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="1380dp"
        android:layout_height="950dp"
        android:background="@drawable/home_rectangle_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="购物车"
            android:textColor="#576478"
            android:layout_marginTop="30dp"
            android:textSize="32sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Button
            android:id="@+id/btn_cancle"
            android:layout_width="150dp"
            android:textColor="@color/white"
            android:layout_height="90dp"
            android:background="@drawable/home_rectangle_blue_background"
            android:layout_marginTop="20dp"
            android:layout_marginRight="20dp"
            android:textSize="30sp"
            android:text="取消"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Button
            android:id="@+id/btn_clean"
            android:layout_marginStart="20dp"
            android:layout_width="150dp"
            android:textColor="#d4237a"
            android:layout_height="90dp"
            android:textSize="30sp"
            android:layout_marginTop="20dp"
            android:background="@null"
            android:text="清空"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Button
            android:id="@+id/btn_pay"
            android:layout_width="150dp"
            android:layout_height="90dp"
            android:layout_marginBottom="20dp"
            android:layout_marginRight="20dp"
            android:textColor="@color/white"
            android:background="@drawable/home_rectangle_blue_background"
            android:textSize="30sp"
            android:text="去付款"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <TextView
            android:id="@+id/tv_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="合计：12：00"
            android:textColor="#576478"
            android:textSize="32sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/et_promotion_code"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/et_promotion_code" />

        <EditText
            android:id="@+id/et_promotion_code"
            android:layout_width="wrap_content"
            android:layout_height="90dp"
            android:background="@drawable/home_shape_rt_rb_green"
            android:hint="请输入优惠码，如果有多个，使用.分割"
            android:lines="2"
            android:maxWidth="800dp"
            android:minWidth="500dp"
            android:paddingHorizontal="10dp"
            android:textColor="#A6A7B2"
            android:textColorHint="#A6A7B2"
            android:textSize="26sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/btn_pay"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/btn_pay"
            app:layout_constraintVertical_bias="0.0" />
        <com.ldt.springback.view.SpringBackLayout
            android:layout_width="1200dp"
            android:layout_height="700dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/btn_clean">
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_sp_list"
                android:layout_width="1200dp"
                android:layout_height="700dp"/>
        </com.ldt.springback.view.SpringBackLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>